| Home | Libraries | People | FAQ | More

###### row::operator= (2 of 3 overloads)

Move assignment.

###### Synopsis

    row&
    operator=(
        row&& other);

###### Exception safety

No-throw guarantee.

###### Object lifetimes

Iterators and references (including `row_view`'s and `field_view`'s) to elements in `*this` are invalidated. Iterators and references to elements in `other` remain valid.

###### Complexity

Constant.